import QtQuick 2.0
import Sailfish.Silica 1.0
import harbour.tinyedit 1.0

Page {
    id: page
    allowedOrientations: Orientation.All

    property var editor

    FileModel {
        id: fileModel
    }

    SilicaListView {
        id: view
        model: fileModel
        anchors.fill: parent

        header: PageHeader {
            title: qsTr("Open file")
        }

        delegate: BackgroundItem {
            id: delegate

            Label {
                x: Theme.paddingLarge
                text: name + (isDir ? "/" : "")
                anchors.verticalCenter: parent.verticalCenter
                color: delegate.highlighted ? Theme.highlightColor : Theme.primaryColor
            }

            onClicked: {
                if (isDir) {
                    fileModel.cd(name)
                } else {
                    editor.openFile(path)
                    pageStack.pop()
                }
            }
        }
        VerticalScrollDecorator { flickable: view }
    }
}
